<%@Page Language="C#" %>

<%

BitArray b = new BitArray(8,false);
BitArray b2 = new BitArray(8,false);
int index;


Response.Write( "<br>Count property is :" + b.Count );
Response.Write( "<br>");

index = 0;

b[2] = true;
b.Set(7,true);
b2[0] = true;
b2[1] = true;
b2[6] = true;

b.Xor( b2 );

foreach( bool value in b )
{
	Response.Write( "<br>Bit " + index + " - value is : " + value );
	index++;

}

%>
